| Haskell Hierarchical Libraries (time package) | Source code | Contents | Index

Data.Time.Clock.POSIX

Description
POSIX time, if you need to deal with timestamps and the like. Most people won't need this module.
Synopsis

posixDayLength :: NominalDiffTime
type POSIXTime = NominalDiffTime
posixSecondsToUTCTime :: POSIXTime -> UTCTime
utcTimeToPOSIXSeconds :: UTCTime -> POSIXTime
getPOSIXTime :: IO POSIXTime

Documentation
posixDayLength :: NominalDiffTime
86400 nominal seconds in every day
type POSIXTime = NominalDiffTime
POSIX time is the nominal time since 1970-01-01 00:00 UTC
posixSecondsToUTCTime :: POSIXTime -> UTCTime
utcTimeToPOSIXSeconds :: UTCTime -> POSIXTime
getPOSIXTime :: IO POSIXTime
Get the current POSIX time from the system clock.
Produced by Haddock version 0.8